Methodology
The rules every number follows
Every RFC at the release's RFC commit 6e28a7f4454e. Accepted and Final RFCs are normative; Draft RFCs are proposals. Read from the repository at build time.
RFCs
| RFC | Title | Status |
|---|---|---|
| RFC-0001 | Process and governance | Draft |
| RFC-0002 | Claim card | Draft |
| RFC-0003 | Workloads, prompt sets and divisions | Draft |
| RFC-0004 | Metrics, timing scopes and grades | Draft |
| RFC-0005 | Adapter contract | Draft |
| RFC-0006 | Reference hardware and cost basis | Draft |
| RFC-0007 | Evidence tiers, reproduction and peer review | Draft |
| RFC-0008 | Negative controls | Draft |
| RFC-0009 | Results format and publication | Draft |
| RFC-0010 | Harness runner and job lifecycle | Draft |
| RFC-0011 | External measurement and resource sampling | Draft |
| RFC-0012 | Artifact schemas, labelled quantities and serialization | Draft |
| RFC-0013 | Validation pipeline and CI gates | Draft |
| RFC-0014 | Provenance, pinning and artifact integrity | Draft |
| RFC-0015 | Reference rows: plain serving and recompute | Draft |
Vocabulary
- Timing scope
- The interval a time or rate covers: setup, commit, prove.steady, prove.session, whole_wall, verify, verify.single_thread, primitive (RFC-0004).
- Grade
- How a number was obtained: measured, derived, projected, external or asserted (RFC-0004).
- Evidence tier
- Who stands behind a number: reported, peer-reviewed or reproduced (RFC-0007).
- Tokens covered
- The positions whose computation a proof binds; the denominator of every per-token metric (RFC-0004).